Skip to main content
GET
/
markets
/
trades
Get Trades
curl --request GET \
  --url https://external-api.kalshi.com/trade-api/v2/markets/trades
{
  "trades": [
    {
      "trade_id": "<string>",
      "ticker": "<string>",
      "count_fp": "10.00",
      "yes_price_dollars": "0.5600",
      "no_price_dollars": "0.5600",
      "created_time": "2023-11-07T05:31:56Z",
      "is_block_trade": true
    }
  ],
  "cursor": "<string>"
}

Query Parameters

limit
integer<int64>
default:100

Number of results per page. Defaults to 100. Maximum value is 1000.

Required range: 0 <= x <= 1000
cursor
string

Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.

ticker
string

Filter by market ticker

min_ts
integer<int64>

Filter items after this Unix timestamp

max_ts
integer<int64>

Filter items before this Unix timestamp

is_block_trade
boolean

Filter trades by whether they are block trades. Omit to return all trades. Set to true to return only block trades. Set to false to return only non-block trades.

Response

Trades retrieved successfully

trades
object[]
required
cursor
string
required